cURL
curl -sS -X POST 'https://apipub.firstbasehq.com/api/v1/people/{personId}/emails' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{}'import requests
url = "https://apipub.firstbasehq.com/api/v1/people/{personId}/emails"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://apipub.firstbasehq.com/api/v1/people/{personId}/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}People
Send email
Triggers an admin email action for the specified person. The emailType determines the action:
- RESEND_ACTIVATION — Resends the activation email to a person with INVITED status who has a platform account.
- RESEND_OFFBOARDING — Resends the arrange-return / offboarding email to a person who is currently being offboarded (OFFBOARDING status).
- SEND_PLATFORM_INVITE — Sends a platform access invite email to an ACTIVE person who does not yet have platform access. Creates a platform account and sets the person’s status to INVITED.
POST
https://apipub.firstbasehq.com
/
api
/
v1
/
people
/
{personId}
/
emails
cURL
curl -sS -X POST 'https://apipub.firstbasehq.com/api/v1/people/{personId}/emails' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{}'import requests
url = "https://apipub.firstbasehq.com/api/v1/people/{personId}/emails"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://apipub.firstbasehq.com/api/v1/people/{personId}/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Prefix the value with "ApiKey" to indicate the custom authorization type
Path Parameters
Body
application/json
Request body for triggering an admin email action to a person
The type of email action to trigger. RESEND_ACTIVATION: resend activation email to an INVITED person. RESEND_OFFBOARDING: resend the arrange-return email to a person in OFFBOARDING status. SEND_PLATFORM_INVITE: send a platform access invite to an ACTIVE person without a platform account.
Available options:
RESEND_ACTIVATION, RESEND_OFFBOARDING, SEND_PLATFORM_INVITE Response
Email sent successfully